docker:
  client:
    enabled: true
    images:
      - jenkins:2.7.1
      - djangoapp:latest
      - postgres:latest
    compose:
      source:
        engine: pip
      django_web:
        # Run up action, any positional argument to docker-compose CLI
        # If not defined, only docker-compose.yml is generated
        status: up
        environment:
          SOMEVAR: somevalue
        service:
          db:
            image: postgres
          web:
            image: djangoapp
            volumes:
              - /srv/volumes/django:/srv/django
            ports:
              - 8000:8000
            depends_on:
              - db
    container:
      jenkins:
        start: false
        restart: unless-stopped
        image: jenkins:2.7.1
        ports:
          - 8081:8080
          - 50000:50000
        environment:
          JAVA_OPTS: "-Dhudson.footerURL=https://www.example.com"
        volumes:
          - /srv/volumes/jenkins:/var/jenkins_home
    stack:
       nginx:
        enabled: true
        environment:
          SOMEVAR: somevalue
        version: 3.3
        service:
          nginx:
            image: nginx
            volumes:
              - /srv/volumes/nginx:/srv/nginx
            ports:
              - 80:80
